org.eclipse.actf.visualization.ui.report.table

## Class ResultTableLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.actf.visualization.ui.report.table.ResultTableLabelProvider

All Implemented Interfaces:
  IBaseLabelProvider, ILabelProvider, ITableLabelProvider

    public class ResultTableLabelProvider
    extends LabelProvider
    implements ITableLabelProvider

A label provider implementation for general accessibility issues

See Also:
  `IProblemItem`

### Constructor Summary

Constructors
Constructor and Description
`ResultTableLabelProvider()`

### Method Summary

Methods
`Image` `getColumnImage(Object arg0, int arg1)`
`String` `getColumnText(Object arg0, int arg1)`

### Methods inherited from class org.eclipse.jface.viewers.LabelProvider

`getImage, getText`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Constructor Detail

#### ResultTableLabelProvider

    public ResultTableLabelProvider()

### Method Detail

#### getColumnImage

    public Image getColumnImage(Object arg0,
                       int arg1)

Specified by:
  `getColumnImage` in interface `ITableLabelProvider`

#### getColumnText

    public String getColumnText(Object arg0,
                       int arg1)

Specified by:
  `getColumnText` in interface `ITableLabelProvider`